# Wi-Fi set state

An action block that enables or disables Wi-Fi.

The fiber will proceed immediately without pause.

This block can’t enable Wi-Fi exclusively while airplane mode is active.

This block requires the Automate legacy extension on Android 10+, which may not work on Chinese brand devices, e.g. Huawei, Xiaomi, try using a Wi-Fi workaround in settings.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `svc wifi <enable|disable>`

Note! This feature isn’t officially supported since Android 10, may not work on higher versions.

## Input arguments

- Wi-Fi — whether to enable or disable Wi-Fi.